{
	"format_version": "1.20.20",
	"minecraft:structure_template_feature": {
		"description": {
			"identifier": "v360:small_rainbow_feature"
		},
		"structure_name": "mystructure:small_rainbow_crystal",
		"adjustment_radius": 15,
		"facing_direction": "random",
		"constraints": {
			"grounded": {},
			"unburied": {},
			"block_intersection": {
				"block_allowlist": [
					{
						"name": "v360:rainbow_crystal_block"
					},
					{
						"name": "minecraft:deepslate",
						"states": {}
					},
					{
						"name": "minecraft:stone"
					},
					{
						"name": "minecraft:air"
					}
				]
			}
		}
	}
}